> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all filter options

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/filters/{filterId}/options/

Retrieve a list of filter options within a filter

Reference: https://docs.partnerpage.io/api-reference/directory/filters/filter-options/get-all-filter-options

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — ID of the directory containing the filter options
- `filterId` (string, required) — ID of the filter containing the options

## Response

### 200

List of filter options in the filter

- `list of FilterOptionSerializerReader`

## Errors

### 404 Not Found Error

- `map from string to any`

## Types

### FilterOptionSerializerReader

All resources should return their href url

- `href` (string, required)
- `id` (string, required)
- `name` (string, required)
- `order` (integer, required)
- `slug` (string, required)
- `image` (string, required, nullable)
- `imageUrl` (string, required, nullable)
- `filter` (string, required)
- `parentOptionId` (string, required)
- `parentOptionSlug` (string, required)
- `hasResults` (boolean, optional, nullable)

## Examples

**Response**

```json
[
  {
    "0": {
      "href": "/api/directory/private/v1alpha/directories/969d9b77-c063-4101-b534-63071317ddbd/filters/006059d7-4d1e-4ace-b816-32fa9a9659ac/options/64f0fab6-32a4-4205-991b-d4eb87e82da2/",
      "id": "64f0fab6-32a4-4205-991b-d4eb87e82da2",
      "image": "https://image.domain.com/partner.png",
      "imageUrl": "https://image.domain.com/partner.png",
      "name": "First Option",
      "order": 0,
      "slug": "first-option"
    },
    "1": {
      "href": "/api/directory/private/v1alpha/directories/969d9b77-c063-4101-b534-63071317ddbd/filters/006059d7-4d1e-4ace-b816-32fa9a9659ac/options/ce98b73d-3784-4186-9cb5-3eb5450b7c98/",
      "id": "ce98b73d-3784-4186-9cb5-3eb5450b7c98",
      "image": "https://image.domain.com/partner.png",
      "imageUrl": "https://image.domain.com/partner.png",
      "name": "Second Option",
      "order": 1,
      "slug": "second-option"
    },
    "href": "string",
    "id": "string",
    "name": "string",
    "order": 1,
    "slug": "string",
    "image": "string",
    "imageUrl": "string",
    "filter": "function filter() { [native code] }",
    "parentOptionId": "string",
    "parentOptionSlug": "string"
  }
]
```

**SDK Code**

```python application/json example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/filters/filterId/options/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript application/json example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/filters/filterId/options/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```